Subject: Re: bug#78890: 31.0.50; Messy vc-annotate buffer names

From: Jim Porter <[email-masked]>
Date: Thu, 26 Jun 2025 10:13:25 -0700

On 6/26/2025 9:57 AM, Sean Whitton wrote:
> Well, I was wondering about this.  I was thinking that using the
> absolute filename was desirable in that case for disambiguation.
> If file-buffer is non-nil then we already know it will have been
> uniquified so as to be unambiguous.

I suppose it's just personal preference, but I'd rather the buffer name 
err on the side of brevity, since in an 80-column frame, an absolute 
file name could easily fill up the entire mode line so that the revision 
identifier is off-screen (to say nothing of other mode line elements).